{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/photo/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/photo/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_photo', {'buildingUnitId': buildingUnit.getId(), 'imageId': image.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
        {% if is_granted('edit', buildingUnit) == true %}
            {{ form_widget(photoDeleteForm.delete, {'label': 'LÖSCHEN', 'id': photoDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-3 mb-4">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Das Foto wird unwiderruflich gelöscht.
            </h1>
            <p>
                Um das Foto endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">foto_{{ image.getId() }}</span>
            </p>
            {{ form_start(photoDeleteForm, {'attr': {'id': photoDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'property_vacancy_management/form/property/delete_form.html.twig' with {'form': photoDeleteForm} only %}
            {{ form_row(photoDeleteForm._token) }}
            {{ form_end(photoDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            <img src="{{ path('file', {'fileUuid': image.getFile().getUuid()}) }}" class="img-fluid">
            <div class="p-3">
                {% include 'property_vacancy_management/form/property/photo_form.html.twig' with {'form': photoForm} only %}
            </div>
        </div>
    </div>
{% endblock %}
